net.snowflake.client.core

## Class MetaDataOfBinds

- java.lang.Object
- - net.snowflake.client.core.MetaDataOfBinds

All Implemented Interfaces:
  Serializable

    public class MetaDataOfBinds
    extends Object
    implements Serializable

Class that creates constructor used for storing information about a binding parameter's metadata. Each instantiation of a MetaDataOfBinds object corresponds to one binding parameter; an arraylist of MetaDataOfBinds corresponds to a list of binding parameters in a prepared statement.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MetaDataOfBinds(int prec, boolean n, int sc, int bL, int len, String name, String type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getByteLength()`
`int` `getLength()`
`String` `getName()`
`int` `getPrecision()`
`int` `getScale()`
`String` `getTypeName()`
`boolean` `isNullable()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MetaDataOfBinds

    public MetaDataOfBinds(int prec,
                           boolean n,
                           int sc,
                           int bL,
                           int len,
                           String name,
                           String type)

### Method Detail

#### getPrecision

    public int getPrecision()

#### isNullable

    public boolean isNullable()

#### getScale

    public int getScale()

#### getByteLength

    public int getByteLength()

#### getLength

    public int getLength()

#### getName

    public String getName()

#### getTypeName

    public String getTypeName()